Auto Zoomer Original

Falkon Extensions auto falkon plugin zoom

Source (link to git-repo or to original if based on someone elses unmodified work): https://git.sgorava.xyz/Falkon/AutoZoomer

0
5.0
Available as/for: Python
Description:

Automatically zoom page to saved zoom level.

Features:
- Main toolbar and statusbar button
- By pressing the button the current setting for host (site) is saved
- Setting dialog where the saved data can be viewed and changed
- Configurable keyboard shortcut to save current settings
- Can be disabled per host basis

Translations:
- The code is prepared for translations
- If there is anyone interested in translating this plugin please contact me.
Last changelog:

Version 1.1.0 1 year ago

* Add Menu entry to extensions menu
* Add configurable keyboard shortcut

C

sgorava

4 months ago

For automatic install to work, you need development version of Falkon, sadly there was no new release for a while.
I believe you can still manually install addons by With Falkon 3.1 and lower copy the plugin directory into Falkon global plugin directory.
e.g. "/usr/lib/qt/plugins/falkon/python/"

# It will only work if Python support is enabled and functional.

Report

cherokeerigger

4 months ago

Not sure what I'm doing wrong but I'm unable to install this. I have installed ocs-url but when I try to install auto zoomer I get the following message: Invalid OCS-URL. I'd be grateful for any advice. I'm running opensuse tumbleweed, completely up to date.

Report

cherokeerigger

4 months ago

Thanks very much for your reply. The path I tried on my computer is /usr/lib64/qt5/plugins/falkon but it didn't' work. I also tried copying the plugin directory to ~/.config/falkon/prfiles/"my username"/extensions but that didn't work either. i have python and python-devel installed but there was no python directory inside the falkon directory.

Report

C

sgorava

4 months ago

you have to put it into "python" subfolder of falkon global plugins directory.
On Artix: "/usr/lib/qt/plugins/falkon/python/"

Since you did not mention your distribution, I don`t have a way to check if python support is enabled there. It depends on pyside2 and shiboken2 and some Qt versions.

I for a long time already am using the development version, since I apply few patches on top of it.

Report

cherokeerigger

4 months ago

Thanks again for your reply. I'm using opensuse Tumbleweed.

Report

C

sgorava

4 months ago

I forgot to press reply, see my comment.

Report

Version 1.1.0 1 year ago

* Add Menu entry to extensions menu
* Add configurable keyboard shortcut

Version 1.0.3 1 year ago

* Specify plugin icon

Version 1.0.2 1 year ago

* Fix plugin loading when Falkon is running

Version 1.0.1 1 year ago

* SettingsDialog: Save settings on accepted avent
* Attempt to change zoom level only when the current value differs from saved.

Version 1.0.0 1 year ago

* Initial release

12345678910
Be the first to comment
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
GPLv3
version
1.1.0
updated May 18 2019
added May 16 2019
downloads 24h
0
mediaviews 24h 0
pageviews 24h 3
System Tags addon gplv3